org.apache.tools.ant.helper

## Class ProjectHelperImpl

- java.lang.Object
- - org.apache.tools.ant.ProjectHelper
  - - org.apache.tools.ant.helper.ProjectHelperImpl

    public class ProjectHelperImpl
    extends ProjectHelper

Original helper.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.tools.ant.ProjectHelper

`ProjectHelper.OnMissingExtensionPoint`

### Field Summary

### Fields inherited from class org.apache.tools.ant.ProjectHelper

`ANT_ATTRIBUTE_URI, ANT_CORE_URI, ANT_CURRENT_URI, ANT_TYPE, ANTLIB_URI, HELPER_PROPERTY, PROJECTHELPER_REFERENCE, SERVICE_ID, USE_PROJECT_NAME_AS_TARGET_PREFIX`

### Constructor Summary

Constructors
Constructor and Description
`ProjectHelperImpl()` default constructor

### Method Summary

Methods
`void` `parse(Project project, java.lang.Object source)` Parses the project file, configuring the project as it goes.

### Methods inherited from class org.apache.tools.ant.ProjectHelper

`addLocationToBuildException, addText, addText, canParseAntlibDescriptor, canParseBuildFile, configure, configureProject, extractNameFromComponentName, extractUriFromComponentName, genComponentName, getContextClassLoader, getCurrentPrefixSeparator, getCurrentTargetPrefix, getDefaultBuildFile, getExtensionStack, getImportStack, getProjectHelper, isInIncludeMode, nsToComponentName, parseAntlibDescriptor, parsePropertyString, replaceProperties, replaceProperties, resolveExtensionOfAttributes, setCurrentPrefixSeparator, setCurrentTargetPrefix, setInIncludeMode, storeChild`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProjectHelperImpl

    public ProjectHelperImpl()

default constructor

### Method Detail

#### parse

    public void parse(Project project,
             java.lang.Object source)
               throws BuildException

Parses the project file, configuring the project as it goes.

Overrides:
  `parse` in class `ProjectHelper`
Parameters:
  `project` - project instance to be configured.
  `source` - the source from which the project is read.
Throws:
  `BuildException` - if the configuration is invalid or cannot be read.